<?php

Class MoYm_Config_Action{

	function save_app_config($POST){

		if( moym_check_empty_or_null($POST['moym_clientID']) || moym_check_empty_or_null($POST['moym_appID']) || moym_check_empty_or_null($POST['moym_app_secret']) ) {
			update_option('moym_message', 'Please enter valid Client ID, App ID and App Secret');
			moym_show_error_message();
			return;
		}
		if( moym_check_empty_or_null($POST['moym_clientID']) ) {
			update_option('moym_message', 'Please enter a valid Client ID');
			moym_show_error_message();
			return;
		}
		if( moym_check_empty_or_null($POST['moym_authURL']) ) {
			update_option('moym_message', 'Please enter valid Authorization Endpoint');
			moym_show_error_message();
			return;
		}

		$callbackURL = site_url();
		$clientID = stripslashes(trim($POST['moym_clientID']));
		$appID = stripslashes(trim($POST['moym_appID']));;
		$app_secret = stripslashes(trim($POST['moym_app_secret']));;
		$scope = isset($POST['moym_scope']) ? stripslashes($POST['moym_scope']) : '';
		$authURL = stripslashes($POST['moym_authURL']);

		update_option('moym_callback', $callbackURL);
		update_option('moym_clientID', $clientID);
		update_option('moym_appID', $appID);
		update_option('moym_app_secret', $app_secret);
		update_option('moym_scope', $scope);
		update_option('moym_authURL', $authURL);

		update_option('moym_message', 'App settings saved successfully.');
		moym_show_success_message();
	}

}

?>