<?php

class MoYm_Customer{

	private $defaultCustomerKey = "16555";
	private $defaultApiKey = "fFd2XcvTGDemZvbw1bcUesNJWEqKbbUq";

	public function create_customer(){
		$url = get_option('moym_host_name') . '/moas/rest/customer/add';
		
		$this->email 		= get_option('moym_admin_email');
		$password 			= get_option('moym_admin_password');

		$fields = array(
			'areaOfInterest' => 'WP YourMembership SSO Plugin',
			'email'		=> $this->email,
			'password'	=> $password
		);
        $field_string = json_encode ( $fields );
        $headers = array(
            "Content-Type" => "application/json"
        );
        $args = array(
            'method' => 'POST',
            'body' => $field_string,
            'timeout' => '5',
            'redirection' => '5',
            'httpversion' => '1.0',
            'blocking' => true,
            'headers' => $headers
        );

		$response = moym_wp_remote_post($url, $args);
		return $response['body'];
	}

	public function get_customer_key() {
		$url 	= get_option('moym_host_name') . "/moas/rest/customer/key";
		$email 	= get_option("moym_admin_email");

		$password = get_option("moym_admin_password");

		$fields = array(
			'email' 	=> $email,
			'password' 	=> $password
		);

        $field_string = json_encode ( $fields );
        $headers = array(
            "Content-Type" => "application/json"
        );
        $args = array(
            'method' => 'POST',
            'body' => $field_string,
            'timeout' => '5',
            'redirection' => '5',
            'httpversion' => '1.0',
            'blocking' => true,
            'headers' => $headers
        );
        $response = moym_wp_remote_post($url, $args);
        return $response['body'];
	}

	function check_customer() {
		$url 	= get_option('moym_host_name') . "/moas/rest/customer/check-if-exists";
		$email 	= get_option("moym_admin_email");

		$fields = array(
			'email' 	=> $email
		);
        $field_string = json_encode ( $fields );
        $headers = array(
            "Content-Type" => "application/json"
        );
        $args = array(
            'method' => 'POST',
            'body' => $field_string,
            'timeout' => '5',
            'redirection' => '5',
            'httpversion' => '1.0',
            'blocking' => true,
            'headers' => $headers
        );

		$response = moym_wp_remote_post($url, $args);
		return $response['body'];
	}

	function submit_contact_us( $email, $phone, $query ) {
		$company = !empty(get_option('moym_admin_company_name')) ? get_option('moym_admin_company_name') : '';
		$first_name = !empty(get_option('moym_admin_first_name')) ? get_option('moym_admin_first_name') : '';
		$last_name = !empty(get_option('moym_admin_last_name')) ? get_option('moym_admin_last_name') : '';
		$query = '[WP YourMembership SSO Plugin] ' . $query;
        $url = get_option('moym_host_name') . '/moas/rest/customer/contact-us';
		$fields = array(
			'firstName'			=> $first_name,
			'lastName'	 		=> $last_name,
			'company' 			=> $company,
			'email' 			=> $email,
            'ccEmail'           => 'samlsupport@xecurify.com',
			'phone'				=> $phone,
			'query'				=> $query
		);

        $field_string = json_encode ( $fields );

        $headers = array(
            "Content-Type" => "application/json"
        );
        $args = array(
            'method' => 'POST',
            'body' => $field_string,
            'timeout' => '10',
            'redirection' => '5',
            'httpversion' => '1.0',
            'blocking' => true,
            'headers' => $headers
        );
		$response = moym_wp_remote_post($url,$args);
		return $response['body'];
	}

	function forgot_password($email){
		
		$url = get_option('moym_host_name') . '/moas/rest/customer/password-reset';
		
		/* The customer Key provided to you */
		$customerKey = get_option('moym_admin_customer_key');

		/* The customer API Key provided to you */
		$apiKey = get_option('moym_admin_api_key');
	
		/* Current time in milliseconds since midnight, January 1, 1970 UTC. */
		$currentTimeInMillis = round(microtime(true) * 1000);
	
		/* Creating the Hash using SHA-512 algorithm */
		$stringToHash = $customerKey . number_format($currentTimeInMillis, 0, '', '') . $apiKey;
		$hashValue = hash("sha512", $stringToHash);

		$fields = '';
	
		//*check for otp over sms/email
		$fields = array(
			'email' => $email
		);
        $field_string = json_encode ( $fields );

        $headers = array(
            "Content-Type" => "application/json",
            "Customer-Key" => $customerKey,
            "Timestamp" => $currentTimeInMillis,
            "Authorization" => $hashValue
        );
        $args = array(
            'method' => 'POST',
            'body' => $field_string,
            'timeout' => '5',
            'redirection' => '5',
            'httpversion' => '1.0',
            'blocking' => true,
            'headers' => $headers
        );

        $response = moym_wp_remote_post($url,$args);
        return $response['body'];
	}

    function send_email_alert($email,$phone,$message){

        $url = get_option('moym_host_name') . '/moas/api/notify/send';
        $customerKey = $this->defaultCustomerKey;
        $apiKey =  $this->defaultApiKey;
        $currentTimeInMillis = round(microtime(true) * 1000);
        $stringToHash 		= $customerKey .  $currentTimeInMillis . $apiKey;
        $hashValue 			= hash("sha512", $stringToHash);
        $fromEmail			= 'no-reply@xecurify.com';
        $subject            = "Feedback: WordPress YourMembership SSO Plugin";

        global $user;
        $user         = wp_get_current_user();
        $query        = '[WordPress YourMembership SSO Plugin: ]: ' . $message;
        $content='<div >Hello, <br><br>First Name :'.$user->user_firstname.'<br><br>Last  Name :'.$user->user_lastname.'   <br><br>Company :<a href="'.$_SERVER['SERVER_NAME'].'" target="_blank" >'.$_SERVER['SERVER_NAME'].'</a><br><br>Phone Number :'.$phone.'<br><br>Email :<a href="mailto:'.$email.'" target="_blank">'.$email.'</a><br><br>Query :'.$query.'</div>';

        $fields = array(
            'customerKey'	=> $customerKey,
            'sendEmail' 	=> true,
            'email' 		=> array(
                'customerKey' 	=> $customerKey,
                'fromEmail' 	=> $fromEmail,
                'bccEmail' 		=> $fromEmail,
                'fromName' 		=> 'Xecurify',
                'toEmail' 		=> 'info@xecurify.com',
                'toName' 		=> 'samlsupport@xecurify.com',
                'bccEmail'		=> 'samlsupport@xecurify.com',
                'subject' 		=> $subject,
                'content' 		=> $content
            ),
        );
        $field_string = json_encode($fields);
        $headers = array(
            "Content-Type" => "application/json",
            "Customer-Key" => $customerKey,
            "Timestamp" => $currentTimeInMillis,
            "Authorization" => $hashValue
        );
        $args = array(
            'method' => 'POST',
            'body' => $field_string,
            'timeout' => '5',
            'redirection' => '5',
            'httpversion' => '1.0',
            'blocking' => true,
            'headers' => $headers
        );

        $response = moym_wp_remote_post($url, $args);
        return $response['body'];
    }

}

?>