<?php


class MoYm_Login_Widget extends WP_Widget {
    public function __construct() {
        parent::__construct(
            'MoYm_Login_Widget',
            'Login with Your Membership',
            array( 'description' => __( 'This is a miniOrange YM login widget.', 'moymsso' ),
                'customize_selective_refresh' => true,
            )
        );
    }

    public function widget( $args, $instance ) {
        extract( $args );

        $wid_title = apply_filters( 'widget_title', $instance['wid_title'] );

        echo $args['before_widget'];
        if ( ! empty( $wid_title ) )
            echo $args['before_title'] . $wid_title . $args['after_title'];
        $this->loginForm();
        echo $args['after_widget'];
    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['wid_title'] = sanitize_text_field( $new_instance['wid_title'] );
        return $instance;
    }


    public function form( $instance ) {
        $wid_title = '';
        if(array_key_exists('wid_title', $instance))
            $wid_title = $instance[ 'wid_title' ];
        ?>
        <p><label for="<?php echo $this->get_field_id('wid_title'); ?>"><?php _e('Title:'); ?> </label>
            <input class="widefat" id="<?php echo $this->get_field_id('wid_title'); ?>" name="<?php echo $this->get_field_name('wid_title'); ?>" type="text" value="<?php echo $wid_title; ?>" />
        </p>
        <?php
    }

    public function loginForm(){
        if(!is_user_logged_in()){
            echo '
            <script>
                function submitMoYMForm(){ document.getElementById("miniorange-ym-sso-login-form").submit(); }
            </script>
            <form name="miniorange-ym-sso-login-form" id="miniorange-ym-sso-login-form" method="post" action="">';
                wp_nonce_field("moymsso");
            echo '   
                <input type="hidden" name="option" value="moymsso" />
                <font size="+1" style="vertical-align:top;"> </font>';

                if(!empty(get_option('moym_app_secret'))){
                    echo '<a onClick="submitMoYMForm()">Login with Your Membership </a>';
                }else
                    echo "Please configure the miniOrange YM Plugin first.";

            echo '</form>';
        } else {
            $current_user = wp_get_current_user();
            $link_with_username = __('Hello, ','moymsso').$current_user->display_name;
            echo $link_with_username;
            echo '| <a href="'. wp_logout_url(moym_get_current_page_url()) .'>Logout</a>';
        }
    }
}