<?php

	function moym_check_empty_or_null( $value ) {
		if( ! isset( $value ) || empty( $value ) ) {
			return true;
		}
		return false;
	}

	function moym_show_success_message() {
		remove_action( 'admin_notices', 'moym_success_message' );
		add_action( 'admin_notices', 'moym_error_message' );
	}

	function moym_show_error_message() {
		remove_action( 'admin_notices', 'moym_error_message' );
		add_action( 'admin_notices', 'moym_success_message' );
	}

	function moym_success_message() {
		$message = get_option('moym_message'); ?>
		
		<script> 
		
		jQuery(document).ready(function() {	
			var message = "<?php echo $message; ?>";
			jQuery('#moym_msgs').append("<div class='error notice is-dismissible moym_error_container'> <p class='moym_msgs'>" + message + "</p></div>");
		});
		</script>
		<?php 
	}

	function moym_error_message() {
		$message = get_option('moym_message'); ?>
		<script> 
		jQuery(document).ready(function() {
			var message = "<?php echo $message; ?>";
			jQuery('#moym_msgs').append("<div class='updated notice is-dismissible moym_success_container'> <p class='moym_msgs'>" + message + "</p></div>");
		});
		</script>
		<?php 
	}

	function moym_is_customer_registered() {
		$email 			= get_option('moym_admin_email');
		$customerKey 	= get_option('moym_admin_customer_key');
		if( ! $email || ! $customerKey || ! is_numeric( trim( $customerKey ) ) ) {
			return 0;
		} else {
			return 1;
		}
	}

	function moym_is_curl_installed() {
	    if (in_array ('curl', get_loaded_extensions())) {
	        return 1;
	    } else
	        return 0;
	}

	function moym_is_extension_installed($name) {
		if  (in_array  ($name, get_loaded_extensions())) {
			return true;
		}
		else {
			return false;
		}
	}

	function moym_start_session() {
		if( !session_id() ) {
			session_start();
		}
	}

    function moym_check_password_pattern($password){
        $pattern = '/^[(\w)*(\!\@\#\$\%\^\&\*\.\-\_)*]+$/';
        return !preg_match($pattern,$password);
    }

    function moym_wp_remote_post($url, $args = array()) {
        $response = wp_remote_post($url, $args);
		
        if (!is_wp_error($response)) {
			
            return $response;
        } else {
            update_option('moym_message', 'Unable to connect to the Internet. Please try again.');
            moym_show_error_message();
        }
    }

    function moym_remote_post_urlencoded($data, $url){
        $field_string = $data;
        $headers = array(
            "Content-Type" => "application/x-www-form-urlencoded"
        );
        $args = array(
            'method' => 'POST',
            'body' => $field_string,
            'redirection' => '10',
            'httpversion' => '1.0',
            'blocking' => true,
            'sslverify'=>false,
            'data_format' => 'body',
            'headers' => $headers
        );
        $data = wp_remote_post($url,$args);
        return $data['body'];
    }

    function moym_get_current_page_url() {
        $http_host = esc_url_raw($_SERVER['HTTP_HOST']);
        if(substr($http_host, -1) == '/') {
            $http_host = substr($http_host, 0, -1);
        }
        $request_uri = esc_url_raw($_SERVER['REQUEST_URI']);
        if(substr($request_uri, 0, 1) == '/') {
            $request_uri = substr($request_uri, 1);
        }
        if (strpos($request_uri, '?option=moymsso') !== false) {
            return strtok($request_uri,'?');
        }
        $is_https = (isset($_SERVER['HTTPS']) && strcasecmp($_SERVER['HTTPS'], 'on') == 0);
        $relay_state = 'http' . ($is_https ? 's' : '') . '://' . $http_host . '/' . $request_uri;
        return $relay_state;
    }

function moym_wp_remote_call($url, $args = array(), $is_get = false){

	if(!$is_get)
		$response = wp_remote_post($url, $args);
	else
		$response = wp_remote_get($url, $args);

	if(!is_wp_error($response)){
		return $response['body'];
	} else {
		echo 'Unable to connect to the Internet. Please try again.';
		exit;
	}
}

?>