<?php

/**
* Plugin Name: Login with YourMembership - YM SSO Login
* Plugin URI: http://miniorange.com
* Description: YM SSO Plugin allows your users to login into your WordPress site using their YourMembership credentials.
* Version: 1.1.2
* Author: miniOrange
* Author URI: http://miniorange.com
* License: GPL2
*/

require('includes/classes/actions/moym_config.action.php');
require('includes/classes/actions/moym_customer.action.php');
require('includes/classes/moym_customer.php');
require('includes/utils/moym_utility.php');
require('includes/utils/moym_global.php');
require('moym_page.php');
require('moym_sso.php');

class Miniorange_YM_Login{

	function __construct(){
		global $MOYM_PLUGIN_DIR;
		$MOYM_PLUGIN_DIR = plugin_dir_url( __FILE__ );
		new MoYm_Global_Variables();

		add_action( 'admin_menu', array( $this, 'moym_add_to_menu' ) );
		add_action( 'admin_init',  array( $this, 'moym_save_config_settings' ) );

		add_action( 'admin_enqueue_scripts', array( $this, 'moym_register_plugin_style' ) );
		add_action( 'admin_enqueue_scripts', array( $this, 'moym_register_plugin_script' ) );

		register_deactivation_hook(__FILE__, array( $this, 'moym_deactivate'));
	}

	function moym_page_options(){
		update_option( 'moym_host_name', 'https://login.xecurify.com' );
		moym_show_page();
	}

	function moym_save_config_settings(){
		global $moym_customer_action, $moym_config_action;
		if( isset($_POST['option']) ){
		    $post_option = sanitize_text_field($_POST['option']);
			switch($post_option){
				case "moym_register_customer":  		$moym_customer_action->register($_POST);
														break;
				case "moym_connect_verify_customer":  	$moym_customer_action->login($_POST);
														break;
				case "moym_forgot_password":  			$moym_customer_action->forgot_password($_POST);
														break;
				case "moym_contact_us_query_option":  	$moym_customer_action->contact_us($_POST);
														break;
				case "moym_go_back":  					$moym_customer_action->go_back_registration($_POST);
														break;
                case "moym_goto_login":  				$moym_customer_action->go_back_login($_POST);
                                                        break;
				case "moym_save_app_config":			$moym_config_action->save_app_config($_POST);
														break;
				case "moym_skip_feedback":              $moym_customer_action->skip_feedback();
                                                        break;
                case "moym_feedback":                   $moym_customer_action->send_feedback($_POST);
                                                        break;
			}
		}
	}

	function moym_deactivate(){
		delete_option('moym_host_name');
		delete_option('moym_admin_first_name');
		delete_option('moym_admin_last_name');
		delete_option('moym_admin_phone');
		delete_option('moym_transactionId');
		delete_option('moym_registration_status');
		delete_option('moym_verify_customer');
		delete_option('moym_admin_customer_key');
		delete_option('moym_admin_api_key');
		delete_option('moym_customer_token');
		delete_option('moym_new_registration');
	}

	function moym_add_to_menu() {

		$page = add_menu_page( 'YourMembership SSO', 'YourMembership SSO', 'administrator',
		'moym_settings', array( $this, 'moym_page_options' ),plugin_dir_url(__FILE__) . 'includes/images/miniorange_icon.png');
	}

	function moym_register_plugin_style(){
		wp_enqueue_style( 'moym_admin_style', plugins_url('includes/css/moym_style.css', __FILE__), array(), '1.0.3' );
		wp_enqueue_style( 'moym_admin_phone_style', plugins_url('includes/css/phone.css', __FILE__), array(), '1.0.3' );
	}

	function moym_register_plugin_script(){
		wp_enqueue_script( 'moym_admin_phone_script', plugins_url('includes/js/phone.js', __FILE__ ), array(), '1.0.3' );
	}
}

new Miniorange_YM_Login();

?>